# Copyright (c) 2025, Salesforce, Inc.
# SPDX-License-Identifier: Apache-2
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""Version information for the Data Cloud Custom Code SDK."""

import importlib.metadata


def get_version() -> str:
    """Get the current version of the SDK.

    Returns:
        str: The version string from package metadata.
    """
    # First try to get version from installed package metadata
    return importlib.metadata.version("salesforce-data-customcode")
